%define tarball xf86-video-vesa
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 vesa video driver
Name:      	xorg-x11-drv-vesa
Version:	2.3.0
Release:	3
URL:       	http://www.x.org
Source0:   	http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
BuildRequires:	libpciaccess-devel
BuildRequires:  pixman-devel

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-vesa

%description 
X.Org X11 vesa video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/vesa_drv.so
%{_mandir}/man4/vesa.4*

%changelog
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-3
- rebuilt
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-2
- rebuilt
* Tue Jan 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-3
- rebuilt against xorg-x11-server 1.7.3-1
* Sun Nov 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-2
- rebuilt against xorg-x11-server 1.7.1-1
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version update
* Sat May 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.0.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.1-2
- added obsoletes for old xorg package
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- Initial release
